Update integration flow
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows/{flow_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"spans": [
{
"name": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attributes": {},
"status": {},
"ended": true,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attributes": {}
}
],
"spanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
}
}
],
"id": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows/{flow_name}"
payload = {
"name": "<string>",
"description": "<string>",
"spans": [
{
"name": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attributes": {},
"status": {},
"ended": True,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attributes": {}
}
],
"spanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
}
}
],
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
spans: [
{
name: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
duration: 123,
attributes: {},
status: {},
ended: true,
events: [{name: '<string>', timestamp: '2023-11-07T05:31:56Z', attributes: {}}],
spanContext: {traceId: '<string>', spanId: '<string>', traceFlags: 123}
}
],
id: '<string>'
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/workflows/{flow_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"spans": [
{
"name": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"attributes": {},
"status": {},
"ended": true,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attributes": {}
}
],
"spanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
},
"parentSpanContenxt": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 123
}
}
],
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}projects
Update integration flow
UpdateIntegrationFlow updates or creates a new flow with the given name. This endpoint will overwrite the entire flow with the provided data.
PUT
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
workflows
/
{flow_name}
Update integration flow
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
application/json
⌘I